import { Component, OnInit } from '@angular/core';
import {Transfer} from '../service/transfer';
import {Api} from '../service/api';

@Component({
  selector: 'v-west',
  templateUrl: './west.component.html',
  styleUrls: ['./west.component.scss'],
})
export class WestPage implements OnInit {

  // 此处处理color原因详见该目录下scss文件
  color = ['#a7aaa6', '#a7aaa6', '#a7aaa6', '#a7aaa6', '#a7aaa6', '#a7aaa6', '#a7aaa6'];
  value = [false, false, false, false, false, false, false];
  yewei = 0;
  temp: any = '';
  proc = 0;

  constructor(private tf: Transfer, private api: Api) {
  }

  ngOnInit() {
    this.getData();
  }

  toggle(index) {
    this.color[index] = !this.value[index] ? '#28c9bd' : '#a7aaa6';
    this.color = [...this.color];
  }

  onLeftClick() {
    this.tf.transfer({url: '/home'});
  }

  getData() {
    // 西中转池 19040001 0号通道为温度
    // this.api.data.getRealData([{deviceNo: '92489110027112448'}, (data) => {
    //   if (data && data.constructor === Array) {
    //     this.temp = data[0];
    //   } else {
    //     this.api.presentMsgToast('获取数据失败');
    //   }
    // }]);
    // 西中转池 19040006 0号通道为液位
    this.api.data.getRealData([{deviceNo: '92490138428510208'}, (data) => {
      if (data && data.constructor === Array) {
        if (data[0].value) {
          if (data.length > 0) {
            data[0].value = Number(data[0].value) > 0 ? data[0].value : '0';
            this.yewei = 6.5 - Number(data[0].value);
            this.proc = 100 - (Number(data[0].value) * 100 / 6.5);
          }
        }
      } else {
        this.api.presentMsgToast('获取数据失败');
      }
    }]);
    // 西中转池 19040004 0,1号通道为南水 2,3号通道为北水
    // this.api.data.getRealData([{deviceNo: '92489787927302144'}, (data) => {
    //   if (data && data.constructor === Array) {
    //     if (data[0] && data[1]) {
    //       this.value[0] = !!(data[0].value === '1.0' && data[1].value === '1.0');
    //       this.color[0] = (data[0].value === '1.0' && data[1].value === '1.0') ? '#28c9bd' : this.color[0];
    //     }
    //     if (data[2] && data[3]) {
    //       this.value[1] = !!(data[2].value === '1.0' && data[3].value === '1.0');
    //       this.color[1] = (data[2].value === '1.0' && data[3].value === '1.0') ? '#28c9bd' : this.color[1];
    //     }
    //     this.value = [...this.value];
    //   } else {
    //     this.api.presentMsgToast('获取数据失败');
    //   }
    // }]);
    // 西中转池 19040008 0,1号通道为1号搅拌池 2,3号通道为2号搅拌池
    this.api.data.getRealData([{deviceNo: '92490309405118464'}, (data) => {
      if (data && data.constructor === Array) {
        if (data.length > 0) {
          if (data[0] && data[1]) {
            this.value[2] = !!(data[0].value === '1.0' && data[1].value === '1.0');
            this.color[2] = (data[0].value === '1.0' && data[1].value === '1.0') ? '#28c9bd' : this.color[2];
          }
          if (data[2] && data[3]) {
            this.value[3] = !!(data[2].value === '1.0' && data[3].value === '1.0');
            this.color[3] = (data[2].value === '1.0' && data[3].value === '1.0') ? '#28c9bd' : this.color[3];
          }
        }
        this.value = [...this.value];
      } else {
        this.api.presentMsgToast('获取数据失败');
      }
    }]);
  }

}
